Bug 815321 - Platform alert conditions for availability (Goes Disabled and Goes Unknown ) should be removed
Platform alert conditions for availability (Goes Disabled and Goes Unknown ) ...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.4
Unspecified Unspecified
medium Severity medium (vote)
: ---
: RHQ 4.5.0
Assigned To: Jirka Kremser
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-23 07:13 EDT by Sunil Kondkar
Modified: 2013-09-01 05:58 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-01 05:58:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Screenshot (116.76 KB, image/png)
2012-04-23 07:14 EDT, Sunil Kondkar
no flags Details

  None (edit)
Description Sunil Kondkar 2012-04-23 07:13:57 EDT
Description of problem:

The alert conditions for platform resource displays the availability dropdown values 'Goes Disabled' and 'Goes Unknown' ( For condition type: Availability Change)

Please refer the attached screenshot.

As we cannot disable a platform resource, ( Ref. Bug : https://bugzilla.redhat.com/show_bug.cgi?id=807629) the availability alert values 'Goes Disabled' and 'Goes Unknown' are not required.

Version-Release number of selected component (if applicable):

Build#1386 (Version: 4.4.0-SNAPSHOT Build Number: 28e565c)

How reproducible:

Always

Steps to Reproduce:

1. Navigate to Alerts->Definitions tab of a platform resource.
2. Click on 'New' button.
3. Enter alert name and click on 'Conditions' tab.
4. Click on 'Add' button.
5. Select condition type: Availability Change and click on 'Availability' dropdown.
6. It displays values 'Goes Disabled' and 'Goes Unknown'.
  
Actual results:

The alert conditions for platform resource displays the availability dropdown values 'Goes Disabled' and 'Goes Unknown'.

Expected results:

Platform Alert conditions for availability (Goes Disabled and Goes Unknown ) should be removed.

Additional info:
Comment 1 Sunil Kondkar 2012-04-23 07:14:34 EDT
Created attachment 579497 [details]
Screenshot
Comment 2 Mike Foley 2012-04-23 12:10:56 EDT
setting priority to medium per BZ triage 4/23 (crouch, santos, oleary, foley)
Comment 3 Jirka Kremser 2012-06-25 09:19:24 EDT
http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commitdiff;h=b352ab2

git log master
time:    Mon Jun 25 15:16:12 2012 +0200
commit:  b352ab20a4e0deb0d9eccf1d492de2917d2098c2
author:  Jirka Kremser - jkremser@redhat.com
message: [BZ 815321 - Platform alert conditions for availability (Goes Disabled and Goes Unknown ) should be removed] Options have been reomved when adding alert condition for resource of type platform
Comment 4 Heiko W. Rupp 2013-09-01 05:58:38 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.